package com.sunxung.factoring.entity.refundsManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 退款管理-收放款计划和退款管理关联关系历史表
 * </p>
 *
 * @author yafan
 * @since 2024-03-04
 */
@TableName("refund_management_pay_coll_plan_factoring_ref_his")
public class RefundManagementPayCollPlanFactoringRefHis implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 退款管理表历史Id
     */
    @TableField("refund_management_his_id")
    private Long refundManagementHisId;

    /**
     * 收放款计划(保理融资款)表id(选中)
     */
    @TableField("pay_coll_plan_factoring_id")
    private Long payCollPlanFactoringId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRefundManagementHisId() {
        return refundManagementHisId;
    }

    public void setRefundManagementHisId(Long refundManagementHisId) {
        this.refundManagementHisId = refundManagementHisId;
    }

    public Long getPayCollPlanFactoringId() {
        return payCollPlanFactoringId;
    }

    public void setPayCollPlanFactoringId(Long payCollPlanFactoringId) {
        this.payCollPlanFactoringId = payCollPlanFactoringId;
    }

}
